RtAudio - a set of C++ classes which provide a common API for realtime audio input/output across Linux (native ALSA, JACK, and OSS), SGI, Macintosh OS X (CoreAudio), and Windows (DirectSound and ASIO) operating systems.

By Gary P. Scavone, 2001-2004.

To configure and compile (on Unix systems):

1. Unpack the RtAudio distribution (tar -xzf rtaudio-x.x.tar.gz).
2. From within the directory containing this file, run configure:

   ./configure

3. From within the "tests" directory, type "make".

A few options can be passed to configure, including:

  --enable-debug = enable various debug output
  --with-alsa = choose native ALSA API support (linux only)
  --with-jack = choose JACK server support (linux only)
  --with-oss = choose OSS API support (linux only)

Typing "./configure --help" will display all the available options.

If you wish to use a different compiler than that selected by configure, specify that compiler in the command line (ex. to use CC):

  ./configure CXX=CC


For Windows Users:

Visual C++ 6.0 project files are included for the test programs in the /tests/Windows/ directory.  These projects compile API support for both ASIO and DirectSound.
